Name: erlang
%define ERVER R10B
%define ERSUBVER 0
Version: %ERVER.%ERSUBVER
Release: alt1
License: ERLANG PUBLIC LICENSE, see EPLICENCE
Group: Development/Other
Url: http://www.erlang.org/
Summary: Erlang Language
Source: otp_src_%ERVER-%ERSUBVER.tar.gz
Source1: erlang.el
Source2: otp_doc_html_%ERVER-%ERSUBVER.tar.gz
Source3: otp_doc_man_%ERVER-%ERSUBVER.tar.gz
Source4: README.erlang_mode
Source5: erlang-site-start.el
#Patch1: patch-lib_stdlib_src_dets__v9.erl

BuildRequires: coreutils bash texinfo emacs-common gcc update-alternatives libssl-devel libncurses-devel sed
Requires: emacs-base
#BuildRequires: coreutils bash texinfo emacs-common gcc j2se1.4-blackdown-devel java-common update-alternatives libssl-devel libncurses-devel sed
#Requires: j2se1.4-blackdown-devel java-common emacs-base

%add_findreq_skiplist %_libdir/%name/erts-*/bin/*
%set_verify_elf_method textrel=relaxed

%description
Erlang programming language

%prep
%setup -q -n otp_src_%ERVER-%ERSUBVER

%build
./configure --libdir=%_libdir --prefix=%_prefix --with-ssl=%_includedir/openssl --enable-threads --enable-hipe
make

%install
make INSTALL_PREFIX=%buildroot install
# install docs
mkdir er-docs
cd er-docs
tar zxf %SOURCE2
rm COPYRIGHT README
cd ..
cp README EPLICENCE AUTHORS %SOURCE4 er-docs
OLDWD=`pwd`
#install man pages
mkdir -p %buildroot%_mandir
cd %buildroot%_mandir
\cd ..
tar zxf %SOURCE3
%__rm -f COPYRIGHT PR.template README
cd man/man3
for i in lib.3* crypto.3* inet.3* ssl.3* queue.3* random.3* rpc.3* string.3* ; do
  %__mv -f $i erl_$i 
done
cd %buildroot%_mandir
cd man6
for i in crypto.6* ssl.6* snmp.6* ; do
  %__mv -f $i erl_$i 
done
#install docs
mkdir -p %buildroot%_emacslispdir
cp %SOURCE1 %buildroot%_emacslispdir
cd %buildroot%_emacslispdir
for i in *.el ; do
	emacs -batch --eval "(progn
	(setq load-path (append (list \".\")  load-path))
	(byte-compile-file \"$i\"))"
done
mkdir -p %buildroot/%_sysconfdir/emacs/site-start.d
install -m 644 %SOURCE5 %buildroot/%_sysconfdir/emacs/site-start.d/erlang.el

# fixing absolute links
cd %buildroot%_bindir
%__rm -f ear ecc elink erl erlc escript 
for i in erl erlc ; do
	%__ln_s ../lib/%name/bin/$i $i
done
cd %buildroot%_libdir/%name/bin
%__rm -f epmd
%__ln_s ../erts-*/bin/epmd epmd

#  rootdir  
for i in erl start ; do 
  subst 's|ROOTDIR=.*|ROOTDIR=%_libdir/%name|' $i
done

cd $OLDWD

%files
%doc er-docs/* 
%_libdir/%name/
%_man1dir/*
%_man3dir/*
%_man4dir/*
%_man6dir/*
%_bindir/*
%_emacslispdir/*
%_sysconfdir/emacs/site-start.d/*

%changelog
* Tue Nov 02 2004 Plugnikov A. Mike <amike@altlinux.ru> R10B.0-alt1
- New version (R10B)
- Merged upstream patches:
  patch-lib_stdlib_src_dets__v9
  erlang_ssl_broker
- Fix spec

* Sat May 15 2004 Ott Alex <ott@altlinux.ru> R9C.0-alt3
- Fix build process

* Sun Feb 22 2004 Ott Alex <ott@altlinux.ru> R9C.0-alt2
- Added some fixes from freebsd ports (thanks to Ermine!)
- Build without tcl/tk & java

* Wed Dec 10 2003 Ott Alex <ott@altlinux.ru> R9C.0-alt1
- Initial build for ALTLinux

